Deletes the time entry for the ids.

POSThttps://api.awork.com/api/v1/timeentries/deleteDeprecated
POST https://api.awork.com/api/v1/timeentries/delete

Deletes the time entry for the ids. This endpoint is deprecated, please use the batch endpoint POST /timeentries/batch/delete instead. Deletes the time entries with the specified ids.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Request body Required

The time entry ids to delete.

application/json

idsarray of string or nullOptional

The ids of the time entries, which should be deleted.

Responses

204 No Content
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation